/* ---------------------------------------------------
 * Body
 * --------------------------------------------------*/
html, body {
    width: 100%;
    height: 100%;
    margin: 0;
}

body {
    background-color: #F2F2F2;
    display: flex;
    flex-flow: column;
    height: 100vh;
}

*:not(i) {
    font-family: 'TeliaSans', Helvetica, sans-serif;
}

a {
    color: #0094FF;
}

a:hover {
    color: #0082D9;
}

/*---------------------------------------------------
 * Debug
 *--------------------------------------------------*/
.debug {
    border: 1px solid #0094FF;
}

/*---------------------------------------------------
 * Header
 *--------------------------------------------------*/
header {
    min-height: 90px;
    background-color: #FFFFFF;
    -moz-box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.15);
    -webkit-box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.15);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.15);
}

.header-container {
    min-height: 90px;
}

.header-brand {
    font-weight: bold;
    font-size: 22px;
    color: #0094FF;
}

.header-brand:hover {
    color: #0082D9;
    text-decoration: none;
}

.header-brand img {
    margin-top: -6px;
    margin-right: 10px;
}

/*---------------------------------------------------
 * Header Nav
 *--------------------------------------------------*/
.header-nav .header-nav-link {
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    background-color: #F2F2F2;
    border-radius: 16px;
    border: 0;
    color: #0094FF;
    height: 32px;
    display: inline-flex;
    padding-left: 12px;
    padding-right: 12px;
    border: 0;
}

.header-nav .header-nav-link:hover {
    background-color: #F2F2F2;
    border: 0;
}

.header-nav .header-nav-link i, .header-nav .header-nav-link span {
    align-self: center;
    margin-right: 0;
}

.header-nav .header-nav-link.active {
    background-color: #0094FF !important;
    color: #FFFFFF;
}

.header-nav .header-nav-link.dropdown.show {
    background-color: #0094FF !important;
    color: #FFFFFF;
}

.header-nav .header-nav-link img, .header-nav .header-nav-link svg {
    fill: #0094FF;
    margin-top: -4px;
    height: 16px;
    width: 16px;
}

.header-nav .header-nav-link span {
    padding-left: 7px;
}

.header-nav .header-nav-link.header-nav-link-icon {
    padding: 0;
    line-height: normal;
    height: 32px;
    width: 32px;
}

.header-nav .header-nav-link.header-nav-link-icon i {
    padding: 0;
    line-height: normal;
    height: 24px;
    width: 24px;
    margin: 4px;
}

.header-nav .header-nav-link.header-nav-link-icon img, .header-nav .header-nav-link.header-nav-link-icon svg {
    fill: #0094FF;
    margin: 0;
    margin-top: 5.5px;
    height: 20px;
    width: 20px;
}

/*---------------------------------------------------
 * Header Nav: Dropdown
 *--------------------------------------------------*/
.header-nav .header-nav-link.dropdown {}

.header-nav .header-nav-link.dropdown .dropdown-menu {
    margin-top: 5px;
}

.header-nav .header-nav-link.dropdown[aria-expanded="true"] {
    background-color: #0094FF;
}

/*---------------------------------------------------
 * Nav: Tabs
 *--------------------------------------------------*/
.main-nav-container {
    margin-top: 12px;
}

.main-nav-container .nav-tabs {
    border-bottom: 1px solid #E4E4E4;
}

.main-nav-container .nav-link {
    color: #000000;
    font-weight: normal;
    font-size: 20px;
    text-align: center;
    border: 0;
    background: none;
    text-shadow: 1px 2px rgba(0, 0, 0, 0.06);
    line-height: 34px;
    padding-left: 0px;
    padding-right: 0px;
    margin-left: 17px;
    margin-right: 17px;
    display: flex;
    align-items: center;
}

.main-nav-container .nav-link:hover {
    color: #0094FF;
}

.main-nav-container .nav-link.active {
    border: 0;
    background: none;
    color: #0094FF;
    border-bottom: 2px solid #0094FF;
}

.main-nav-container .nav-link i.icon {
    height: 24px;
    width: 24px;
}

.nav-tabs-scrollable.nav-tabs {
    overflow-x: auto;
    overflow-y: hidden;
    flex-wrap: nowrap;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
}

.nav-tabs-scrollable.nav-tabs:after {
    content: "";
    position: absolute;
    z-index: 1;
    right: 0;
    pointer-events: none;
    background-image: linear-gradient(to right, rgba(242, 242, 242, 0), rgba(242, 242, 242, 1) 50%);
    width: 60px;
    height: 52px;
}

.nav-tabs-scrollable.nav-tabs:before {
    content: "";
    position: absolute;
    z-index: 1;
    left: 0;
    pointer-events: none;
    background-image: linear-gradient(to left, rgba(242, 242, 242, 0), rgba(242, 242, 242, 1) 50%);
    width: 60px;
    height: 52px;
}

.nav-tabs-scrollable.nav-tabs .nav-link {
    white-space: nowrap;
}

/*---------------------------------------------------
 * Main
 *--------------------------------------------------*/
main {
    flex: 1;
}

h1 {
    font-weight: bold;
    font-size: 26px;
}

h2 {
    font-weight: bold;
    font-size: 22px;
}

/*---------------------------------------------------
 * Footer
 *--------------------------------------------------*/
footer {
    min-height: 80px;
    background-color: #0082D9;
}

.footer-container {
    min-height: 80px;
}

.footer-nav {}

.footer-copyright {
    font-size: 11px;
    color: #FFFFFF;
}

.footer-copyright a {
    color: #FFFFFF;
}

/*---------------------------------------------------
 * Footer: Dropdown
 *--------------------------------------------------*/
.footer-nav-dropdown {}

.footer-nav-dropdown button {
    color: #FFFFFF;
}

.footer-nav-dropdown button:hover {
    color: #99D4FF;
}

.footer-nav-dropdown.show button {
    color: #99D4FF;
}

.footer-nav-dropdown .dropdown-item-admin {
    cursor: pointer;
}

/*---------------------------------------------------
 * Admin Mode
 *--------------------------------------------------*/
.admin {
    display: none;
}

/*---------------------------------------------------
 * Bootstrap: Text
 *--------------------------------------------------*/
.text-muted {
    color: rgba(0, 0, 0, 0.3) !important;
}

.text-primary {
    color: #0082D9 !important;
}

/* ---------------------------------------------------
 * Bootstrap: Table
 * --------------------------------------------------*/
table td::first-letter, table td a::first-letter {
    text-transform: capitalize;
}

table td, table th {
    padding-left: 12px !important;
    padding-right: 12px !important;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
    vertical-align: middle !important;
}

.table.table-row-px-0 tr th {
    padding-left: 0 !important;
}

.table.table-row-px-0 tr td {
    padding-right: 0 !important;
}

.table tr th[scope="row"] {
    white-space: nowrap;
}

/* table td:first-child, table th:first-child {
    width: 10%;
    white-space: nowrap !important;
} */
/*---------------------------------------------------
 * Bootstrap: Dropdown
 *--------------------------------------------------*/
.dropdown .dropdown-menu {
    border: 0;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
    border-radius: 3px;
    padding: 0;
}

.dropdown .dropdown-menu .dropdown-item {
    line-height: normal;
    padding-top: 15px;
    padding-bottom: 15px;
}

.dropdown .dropdown-menu .dropdown-item.active {
    background-color: #0094FF;
    color: #FFFFFF;
}

.dropdown .dropdown-menu .dropdown-item:first-child {
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

.dropdown .dropdown-menu .dropdown-item:last-child {
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}

.dropdown .dropdown-menu .dropdown-item:hover {
    background-color: #F6F6F6;
    color: #0094FF;
}

/*---------------------------------------------------
 * Card: Bootstrap
 *--------------------------------------------------*/
.card {
    background: #FFFFFF;
    box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.1);
    border-radius: 0px 0px 3px 3px;
    border: 0;
}

.card-rounded {
    border-radius: 3px;
}

.card .card-header {
    border: 0;
    background: none;
    padding: 30px;
    padding-bottom: 0;
}

.card .card-header h1 {
    font-style: normal;
    font-weight: bold;
    font-size: 22px;
}

.card .card-header h2 {
    font-style: normal;
    font-weight: bold;
    font-size: 22px;
}

.card .card-header p {
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
}

.card .card-body {
    padding: 30px;
}

.card .card-footer {
    background-color: #F6F6F6;
    border-radius: 0px 0px 3px 3px;
    border: 0;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 16px;
    padding-bottom: 16px;
    display: inline-flex;
    align-items: center;
    /* For Fixto */
    bottom: 0;
}

/*---------------------------------------------------
 * Preloader: Card
 *--------------------------------------------------*/
.card-preloader {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.85);
    z-index: 9;
    border-radius: 3px;
    cursor: wait;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.card-preloader-fixed {
    align-items: baseline !important;
}

.card-preloader-fixed .card-preloader-spinner-container {}

.card-preloader-spinner-container {
    text-align: center;
}

.card-preloader-spinner.spinner {
    color: #0094FF !important;
}

.card-preloader-text {
    display: none;
}

/*---------------------------------------------------
 * Preloader: Button
 *--------------------------------------------------*/
.btn-with-preloader {
    cursor: wait;
}

/*---------------------------------------------------
 * Modal: Bootstrap
 * <div class="modal-backdrop fade show"></div>
 *--------------------------------------------------*/
.modal .modal-content {
    border-radius: 3px;
    border: 0;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
}

.modal .modal-header {
    border: 0;
}

.modal .modal-header .close {
    opacity: 1;
    padding: 0;
    margin-top: 0px;
    margin-right: 2px;
    width: 24px;
    height: 26px;
    cursor: pointer !important;
    background-color: #FFFFFF;
    -webkit-box-shadow: 0px 0px 6px 4px rgba(255, 255, 255, 1);
    -moz-box-shadow: 0px 0px 6px 4px rgba(255, 255, 255, 1);
    box-shadow: 0px 0px 6px 4px rgba(255, 255, 255, 1);
}

.modal .modal-header .close:hover {
    opacity: 1;
}

.modal .modal-header .close i {
    min-width: 24px;
    min-height: 26px;
    height: 26px;
    padding: 0;
    margin: 0;
}

.modal .modal-footer {
    border: 0;
}

.modal .btn.btn-secondary {
    border-radius: 24px;
    background-color: #F2F2F2;
    border: 0;
    color: #0094FF;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    height: 44px;
    padding: 0;
    padding-left: 30px;
    padding-right: 30px;
    border: 2px solid #F2F2F2;
}

.modal .btn.btn-secondary:hover {
    border: 2px solid #0094FF;
}

.modal .btn.btn-secondary:active, .modal .btn.btn-secondary:focus {
    border: 2px solid #0094FF;
    background-color: #0094FF;
    opacity: 0.4;
}

.modal-body-bg {
    background-color: #F2F2F2;
}

.modal.modal-fullscreen {
    height: auto;
}

.modal.modal-fullscreen .modal-dialog {
    width: 100vw;
    height: 100vh;
    margin: 0;
    padding: 0;
    max-width: none
}

.modal.modal-fullscreen .modal-content {
    height: auto;
    height: 100vh;
    border-radius: 0;
    border: none
}

.modal.modal-fullscreen .modal-body {
    overflow-y: auto
}

/*---------------------------------------------------
 * Modal: Notification
 *--------------------------------------------------*/
.modal-notification .modal-icon {
    padding: 0;
    width: 64px;
    height: 64px;
}

.modal-notification .modal-title {
    font-size: 36px;
    color: #000000;
    font-weight: bold;
    text-transform: uppercase;
    padding-top: 10px;
    padding-bottom: 25px;
    line-height: normal;
}

.modal-notification .modal-text {
    font-size: 16px;
    color: #000000;
    font-weight: normal;
}

.modal-notification .modal-footer {
    padding-top: 30px;
    padding-bottom: 40px;
}

/*---------------------------------------------------
 * Modal: Modal Address Task Detail
 *--------------------------------------------------*/
#modal-address-task-detail .task-id {
    cursor: help;
}

#modal-address-task-detail .task-status {
    cursor: help;
}

#modal-address-task-detail .task-status-icon {
    width: 43px;
    height: 43px;
}

#modal-address-task-detail .task-status-text {
    font-weight: bold;
    font-size: 20px;
    line-height: normal;
}

/*---------------------------------------------------
 * Input: Bootstrap
 *--------------------------------------------------*/
label {
    color: #666666 !important;
}

input, textarea, .form-control, .form-control-file, .dropzone {
    background-color: #FFFFFF;
    border: 1px solid #8A8A8A;
    border-radius: 3px;
    color: #000000;
    font-size: 16px;
    font-style: normal;
    font-weight: normal;
    padding-left: 20px;
}

input, textarea, .form-control:not(select), .form-control-file, .dropzone {
    padding: 23px;
}

textarea {
    padding-left: 18px !important;
    padding-right: 18px !important;
    padding-top: 13px !important;
}

input:focus, textarea:focus, .form-control:focus, .form-control-file:focus {
    border-color: #0094FF !important;
    box-shadow: 0 0 5px rgba(0, 148, 255, 0.5);
}

.floating-label>input+label {
    /* padding: calc(0.375rem + 1px) calc(0.75rem + 1px); */
    padding-left: 23px;
    padding-right: 23px;
    padding-top: 12px;
}

.floating-label>textarea+label {
    padding-left: 18px;
    padding-right: 18px;
    padding-top: 13px;
}

.form-control.is-invalid, .was-validated .form-control:invalid {
    background-image: none;
    border-color: #E4175C !important;
    box-shadow: 0;
}

.form-control.is-invalid:focus {
    border-color: #E4175C !important;
    box-shadow: 0 0 5px rgba(228, 23, 92, 0.5) !important;
}

.invalid-feedback {
    color: #E4175C;
}

.form-control.is-valid, .form-control.is-valid:focus, .was-validated .form-control:valid {
    background-image: none;
    border-color: #8A8A8A;
    box-shadow: 0;
    /* #00A552; */
}

.form-control.is-valid:focus {
    border-color: #0094FF;
    box-shadow: 0 0 5px rgba(0, 148, 255, 0.5);
}

input[type="radio"] {
    display: none
}

input[type="radio"]+label:before {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    padding: 4px;
    margin-right: 10px;
    background-clip: content-box;
    border: 1px solid #8A8A8A;
    border-radius: 50%;
}

input[type="radio"]:checked+label:before {
    background-color: #0094FF;
}

.form-check input[type="radio"]+label:before {
    margin-left: -20px;
}

.form-check label {
    display: flex;
    align-items: center
}

/*---------------------------------------------------
 * Popover: Bootstrap
 *---------------------------------------------------
 * <div class="popover" role="tooltip">
 *     <div class="arrow"></div>
 *     <h3 class="popover-header"></h3>
 *     <div class="popover-body"></div>
 * </div>
 *--------------------------------------------------*/
.popover {
    border: 0;
    border-radius: 3;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
}

.popover .popover-header {
    padding: 20px;
    padding-bottom: 0;
    background: none;
    border: 0;
    font-size: 22px;
    font-weight: bold;
    line-height: normal;
}

.popover .popover-body {
    padding: 20px;
}

/*---------------------------------------------------
 * Popover
 *---------------------------------------------------
 * <div class="popover-backdrop fade show"></div>
 *--------------------------------------------------*/
.popover .popover-body .popover-text {
    font-size: 16px;
}

.popover-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1040;
    width: 100vw;
    height: 100vh;
    background-color: #000;
}

.popover-backdrop.show {
    opacity: 0.5;
}

.popover-backdrop.fade:not(.show) {
    opacity: 0;
}

/*---------------------------------------------------
 * Tooltip: Bootstrap
 *--------------------------------------------------*/
.tooltip.show {
    opacity: 1;
}

.tooltip-inner {
    background-color: #0094FF;
    box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.1);
    opacity: 1 !important;
    border-radius: 3px;
    min-width: 240px !important;
}

.tooltip.bs-tooltip-right .arrow:before {
    border-right-color: #0094FF !important;
}

.tooltip.bs-tooltip-left .arrow:before {
    border-left-color: #0094FF !important;
}

.tooltip.bs-tooltip-bottom .arrow:before {
    border-bottom-color: #0094FF !important;
}

.tooltip.bs-tooltip-top .arrow:before {
    border-top-color: #0094FF !important;
}

/*---------------------------------------------------
 * Btn: Bootstrap
 *--------------------------------------------------*/
.btn-primary {
    background-color: #0094FF;
    border-radius: 24px;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 12px;
    padding-bottom: 12px;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: normal;
    display: inline-flex;
    align-items: center;
    border: 2px solid #0094FF;
}

.btn-primary:hover {
    background-color: #0082D9;
    border: 2px solid #0082D9;
}

.btn-primary:active {
    background-color: #0082D9;
    border: 2px solid #0082D9;
}

.btn-primary:focus {
    background-color: #0082D9;
    border: 2px solid #0082D9;
}

.btn-primary i.icon {
    width: 20px;
    height: 20px;
    padding: 0;
    margin: 0;
}

.btn-danger {
    background-color: #E4175C;
    border-radius: 24px;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 12px;
    padding-bottom: 12px;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: normal;
    display: inline-flex;
    align-items: center;
    border: 2px solid #E4175C;
}

.btn-danger:hover {
    background-color: #BF134D;
    border: 2px solid #BF134D;
}

.btn-danger:active {
    background-color: #BF134D;
    border: 2px solid #BF134D;
}

.btn-danger:focus {
    background-color: #BF134D;
    border: 2px solid #BF134D;
}

.btn-secondary {
    background-color: #F2F2F2;
    color: #0082D9;
    border-radius: 24px;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 12px;
    padding-bottom: 12px;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: normal;
    display: inline-flex;
    align-items: center;
    border: 2px solid #F2F2F2;
}

.btn-secondary:hover {
    background-color: #0082D9;
    color: #FFFFFF;
    border: 2px solid #0082D9;
}

.btn-secondary:active {
    background-color: #0082D9;
    color: #FFFFFF;
    border: 2px solid #0082D9;
}

.btn-secondary:focus {
    background-color: #0082D9;
    color: #FFFFFF;
    border: 2px solid #0082D9;
}

.btn-text {
    background: none;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    color: #0094FF;
    text-decoration: underline;
}

.btn-text:hover {
    color: #0082D9;
}

.btn-text {
    display: inline-flex;
    align-items: center;
}

.btn-text i.icon {
    width: 20px;
    height: 20px;
}

/*---------------------------------------------------
 * Spinner: Bootstrap
 *--------------------------------------------------*/
.spinner-border-sm {
    width: 21px;
    height: 21px;
}

.spinner-border {
    border-width: 0.1em;
}

/*---------------------------------------------------
 * Speech-bubble
 *--------------------------------------------------*/
.speech-bubbles {
    position: relative;
}

.speech-bubble {
    position: relative;
    background-color: #F2F2F2;
    border-radius: 3px;
    padding: 20px;
    margin-bottom: 25px;
}

.speech-bubble:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0;
    height: 0;
    border: 15px solid transparent;
    border-top-color: #F2F2F2;
    border-bottom: 0;
    border-left: 0;
    margin-left: -7.5px;
    margin-bottom: -15px;
}

.speech-bubbles.speech-bubbles-colored .speech-bubble {
    border: 0;
    border-right: 5px solid #0094FF;
    border-left: 5px solid #F2F2F2;
}

.speech-bubbles.speech-bubbles-odd-and-even .speech-bubble:nth-child(odd) {}

.speech-bubbles.speech-bubbles-odd-and-even .speech-bubble:nth-child(even) {
    border: 0;
    border-left: 5px solid #0094FF;
    border-right: 5px solid #F2F2F2;
}

.speech-bubbles.speech-bubbles-odd-and-even .speech-bubble:nth-child(odd):after {
    left: 90%;
    border: 0;
    border: 15px solid transparent;
    border-right-color: #F2F2F2;
    border-left: 0;
    border-top: 0;
}

.speech-bubbles.speech-bubbles-odd-and-even .speech-bubble:nth-child(even):after {
    left: 10%;
}

.speech-bubbles.speech-bubbles-colored .speech-bubble.speech-bubble-color-red:nth-child(odd) {
    border-right-color: #E4175C;
}

.speech-bubbles.speech-bubbles-odd-and-even .speech-bubble.speech-bubble-color-red:nth-child(even) {
    border-left-color: #E4175C;
}

.speech-bubbles.speech-bubbles-colored .speech-bubble.speech-bubble-color-green:nth-child(odd) {
    border-right-color: #00A552;
}

.speech-bubbles.speech-bubbles-odd-and-even .speech-bubble.speech-bubble-color-green:nth-child(even) {
    border-left-color: #00A552;
}

.speech-bubbles.speech-bubbles-colored .speech-bubble.speech-bubble-color-pink:nth-child(odd) {
    border-right-color: #FF00CD;
}

.speech-bubbles.speech-bubbles-odd-and-even .speech-bubble.speech-bubble-color-pink:nth-child(even) {
    border-left-color: #FF00CD;
}

.speech-bubbles.speech-bubbles-colored .speech-bubble.speech-bubble-color-gray:nth-child(odd) {
    border-right-color: #E4E4E4;
}

.speech-bubbles.speech-bubbles-odd-and-even .speech-bubble.speech-bubble-color-gray:nth-child(even) {
    border-left-color: #E4E4E4;
}

/*---------------------------------------------------
 * Speech-bubble: Custom
 *--------------------------------------------------*/
.speech-bubble-date {
    font-size: 11px;
    color: rgba(0, 0, 0, 0.3);
}

/*---------------------------------------------------
 * Input: Toggle Switch
 *--------------------------------------------------*/
/*
<label class="toggle-switch">
    <input type="checkbox" checked>
    <span class="toggle-switch-slider round"></span>
</label>
*/
.toggle-switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 29px;
    min-width: 50px;
    min-height: 29px;
}

.toggle-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.toggle-switch-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #FFFFFF;
    -webkit-transition: .4s;
    transition: .4s;
}

.toggle-switch-slider:before {
    position: absolute;
    content: "";
    height: 19px;
    width: 19px;
    left: 4px;
    bottom: 4px;
    background-color: #FFFFFF;
    -webkit-transition: .4s;
    transition: .4s;
    border: 1px solid #9F9F9F;
}

input:checked+.toggle-switch-slider {
    background-color: #0094FF;
    border: 1px solid #0094FF;
}

input:focus+.toggle-switch-slider {
    box-shadow: 0 0 1px #0094FF;
}

input:checked+.toggle-switch-slider:before {
    -webkit-transform: translateX(21px);
    -ms-transform: translateX(21px);
    transform: translateX(21px);
    border: 1px solid #FFFFFF;
    background-color: #FFFFFF;
}

/* Rounded sliders */
.toggle-switch-slider.round {
    border-radius: 19px;
    border: 1px solid #9F9F9F;
}

.toggle-switch-slider.round:before {
    border-radius: 50%;
    background-color: #9F9F9F;
}

.toggle-switch-label {
    position: relative;
    display: inline-block;
    height: 29px;
    line-height: 29px;
    padding-right: 10px;
    white-space: nowrap;
}

/*---------------------------------------------------
 * Responsive: Extra Small Devices (portrait phones, less than 576px)
 *--------------------------------------------------*/
@media (max-width: 575.98px) {}

/*---------------------------------------------------
 * Responsive: Small Devices (landscape phones, less than 768px)
 *---------------------------------------------------
 * Mobile: max-width: 767.98px
 * Pop-up: max-height: 700px
 *--------------------------------------------------*/
@media (max-width: 767.98px), (max-height: 700px) {
    header {
        min-height: 70px;
    }

    .header-container {
        min-height: 70px;
        padding-left: 5px;
        padding-right: 5px;
    }

    .header-container .header-brand {
        font-size: 18px;
    }

    footer {
        min-height: 60px;
    }

    .footer-container {
        min-height: 60px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .footer-container .btn {
        padding-left: 7px;
        padding-right: 7px;
    }

    .main-nav-container .nav-tabs .nav-link {
        font-size: 17px;
    }

    .main-nav-container .nav-link i.icon {
        height: 20px;
        width: 20px;
    }

    .card .card-header h1, .card .card-header h2, .card .card-header h3 {
        font-size: 20px;
    }

    .card .card-header p {
        font-size: 16px;
    }

    .card .card-footer {
        padding-left: 5px;
        padding-right: 10px;
        padding-top: 12px;
        padding-bottom: 12px;
    }

    .card .card-footer .btn {
        padding-left: 15px;
        padding-right: 13px;
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .faqs .faq .faq-header a {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }

    .faqs .faq .faq-body {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }

    .dropzone .dz-preview .dz-image {
        width: 95px;
        height: 95px;
    }

    .modal .modal-title {
        font-size: 20px;
    }

    .modal.modal-notification .modal-title {
        font-size: 36px;
    }
}

/*---------------------------------------------------
 * FAQ
 *--------------------------------------------------*/
.faqs .faq {
    background-color: none;
    border-radius: 0;
}

.faqs .faq .faq-header {
    background-color: #FFFFFF;
    border-radius: 3px;
    border-top: 1px solid #E4E4E4;
    border-radius: 0;
}

.faqs .faq .faq-header a {
    color: #000000;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    border: 0;
}

.faqs .faq .faq-header a:hover {
    text-decoration: none;
    color: #0094FF;
}

.faqs .faq .faq-header a:focus {
    outline: none;
}

.faqs .faq .faq-header a .expand-button {
    width: 30px !important;
}

.faqs .faq .faq-header a[aria-expanded=true] {
    background-color: none;
    color: #0094FF;
}

.faqs .faq .faq-header:hover {
    background-color: none;
}

.faqs .faq .faq-header a i.icon {
    width: 32px;
    height: 32px;
    padding: 0;
    margin: 0;
    margin-top: 4px;
}

.faqs .faq .faq-header a[aria-expanded=true] i.icon {}

.faqs .faq:last-child:not(.show) {
    border-bottom: 1px solid #E4E4E4;
}

.faqs .faq .faq-body {
    text-align: justify;
}

/*---------------------------------------------------
 * GridJS
 *--------------------------------------------------*/
.gridjs-container {
    /* padding: 0; */
    position: relative;
}

.gridjs-wrapper {
    border-radius: 3px;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.15);
}

.gridjs-wrapper:nth-last-of-type(2) {
    border-radius: 3px;
}

table td, table th {
    width: auto;
}

table th[data-column-id="id"], table td[data-column-id="id"] {
    white-space: nowrap;
    min-width: min-content;
}

table td[data-column-id="staatus"] {
    white-space: nowrap;
}

.gridjs-search {
    padding-bottom: 10px;
}

input.gridjs-input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: #FFFFFF;
    border: 1px solid #d2d6dc;
    border-radius: 3px;
    font-size: 16px;
    line-height: 1.5;
    outline: none;
    padding: 12px 15px;
}

.gridjs-search-input {
    width: 250px;
}

.gridjs-pages button {
    color: #000000 !important;
}

.gridjs-footer {
    border-radius: 0 0 3px 3px;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.15);
    padding-left: 20px;
    padding-right: 15px;
    padding-top: 15px;
    padding-bottom: 15px;
    /* For Fixto */
    bottom: 0;
}

/*---------------------------------------------------
 * OpenLayers
 *--------------------------------------------------*/
img.olTileImage {
    -webkit-transform: inherit;
    -moz-transform: inherit;
    -o-transform: inherit;
    -ms-transform: inherit;
    transform: inherit;
    -webkit-backface-visibility: inherit;
    -moz-backface-visibility: inherit;
    -ms-backface-visibility: inherit;
    backface-visibility: inherit;
    -webkit-perspective: inherit;
    -moz-perspective: inherit;
    -ms-perspective: inherit;
    perspective: inherit;
}

.map {
    border-radius: 3px;
}

.map canvas {
    border-radius: 3px;
}

.map.map-top-squared canvas {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.map:focus {
    border-radius: 3px;
    outline: 1px solid rgba(0, 148, 255, 0.5);
    box-shadow: 0 0 5px rgba(0, 148, 255, 0.5);
}

.map:-moz-full-screen {
    height: 100%;
}

.map:-webkit-full-screen {
    height: 100%;
}

.map:-ms-fullscreen {
    height: 100%;
}

.map:fullscreen {
    height: 100%;
}

.ol-rotate {
    top: 3em;
}

.ol-mouse-position {
    margin-right: 50px;
    margin-top: 5px;
    font-size: 14px;
}

button.ol-zoom-in, button.ol-zoom-out {
    border-radius: 3px !important;
    box-shadow: 0;
    width: 36px;
    height: 36px;
    padding: 0;
    margin: 2px;
    background-color: #0094FF;
    /* font-size: 22px; */
    font-size: 0 !important;
    background-size: 75% 75%;
    background-repeat: no-repeat;
    background-position: center;
}

button.ol-zoom-in:hover, button.ol-zoom-out:hover {
    background-color: #0082D9;
}

.ol-full-screen.ol-control button {
    border-radius: 3px !important;
    box-shadow: 0;
    width: 36px;
    height: 36px;
    padding: 0;
    margin: 2px;
    background-color: #0094FF;
    font-size: 0 !important;
    background-size: 75% 75%;
    background-repeat: no-repeat;
    background-position: center;
}

.ol-full-screen.ol-control button:hover {
    background-color: #0082D9;
}

.ol-attribution * {
    font-size: 9px;
}

.ol-attribution a {
    color: #0094FF;
}

.ol-attribution a:hover {
    color: #0082D9;
}

/*---------------------------------------------------
 * Dropzone
 *--------------------------------------------------*/
.dropzone {
    background-color: rgba(242, 242, 242, 0.5);
    padding: 10px;
    transition: transform 0.2s;
    border: 0;
    border-radius: 3px;
    /* Dashed border - https://kovart.github.io/dashed-border-generator/ */
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='3' ry='3' stroke='rgb(138, 138, 138)' stroke-width='2' stroke-dasharray='5' stroke-dashoffset='0' stroke-linecap='round'/%3e%3c/svg%3e");
}

.dropzone.dz-drag-hover {
    background-color: rgba(0, 148, 255, 0.1);
    border: 0;
    /* Dashed border - https://kovart.github.io/dashed-border-generator/ */
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='3' ry='3' stroke='rgb(0, 148, 255)' stroke-width='2' stroke-dasharray='5' stroke-dashoffset='0' stroke-linecap='round'/%3e%3c/svg%3e");
    /* in order: x offset, y offset, blur size, spread size, color */
    box-shadow: 0px 0px 10px 5px rgba(0, 148, 255, 0.1);
    transform: scale(1.03);
}

.dropzone .dz-message {
    margin: 30px;
    opacity: 0.2;
    -webkit-transition: opacity 0.2s ease-in-out;
    -moz-transition: opacity 0.2s ease-in-out;
    -ms-transition: opacity 0.2s ease-in-out;
    -o-transition: opacity 0.2s ease-in-out;
    transition: opacity 0.2s ease-in-out;
}

.dropzone .dz-message:hover {
    opacity: 0.4;
}

.dropzone .dz-message .dz-button {
    color: rgba(0, 0, 0, 0.9);
    margin-top: 0px;
}

.dropzone.dz-drag-hover .dz-message .dz-button {
    color: rgba(0, 148, 255, 0.8);
}

.dropzone .dz-message .dz-button::before {
    content: url('../images/icons/upload.svg');
    width: 64px;
    height: 64px;
    display: block;
    position: relative;
    opacity: 1;
    left: calc(50% - 32px);
    top: -5px;
}

.dropzone.dz-drag-hover .dz-message .dz-button::before {
    content: url('../images/icons/blue/upload.svg');
}

.dropzone .dz-preview, .dropzone .dz-preview:hover {
    z-index: 2 !important;
}

.dropzone .dz-preview .dz-progress {
    display: none;
}

.dropzone .dz-preview.dz-image-preview {
    background: none;
}

.dropzone .dz-preview .dz-image {
    border-radius: 3px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
}

.dropzone .dz-preview.dz-file-preview .dz-image {
    background: none;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 3px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
    z-index: 2;
}

.dropzone .dz-preview.dz-error .dz-image {
    border-radius: 3px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
    background: none;
    background-color: rgba(242, 242, 242, 0.5);
    z-index: 2;
}

.dropzone .dz-preview.dz-error .dz-image img {
    display: none;
}

.dropzone .dz-preview.dz-error .dz-details {
    opacity: 0.4;
}

.dropzone .dz-preview .dz-success-mark, .dropzone .dz-preview .dz-error-mark {
    background: none;
    background-image: url('../images/icons/red/close-round.svg') !important;
    background-repeat: no-repeat;
    background-size: contain;
    min-width: 64px;
    min-height: 64px;
    margin-left: -32px;
    margin-top: -45px;
    border-radius: 0;
}

.dropzone .dz-preview .dz-success-mark, .dropzone .dz-preview .dz-error-mark svg {
    display: none;
}

.dropzone .dz-preview .dz-error-message {
    background: #E4175C;
    border-radius: 3px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
    font-size: 15px;
}

.dropzone .dz-preview .dz-error-message:after {
    border-bottom-color: #E4175C;
}

.dropzone .dz-preview .dz-remove {
    font-size: 16px;
    padding-top: 3px;
}

/*---------------------------------------------------
 * Opacity
 *--------------------------------------------------*/
.opacity-0 {
    opacity: 0 !important;
}

.opacity-1 {
    opacity: 0.2 !important;
}

.opacity-2 {
    opacity: 0.4 !important;
}

.opacity-3 {
    opacity: 0.6 !important;
}

.opacity-4 {
    opacity: .8 !important;
}

.opacity-5 {
    opacity: 1 !important;
}

/*---------------------------------------------------
 * Icons
 *--------------------------------------------------*/
.icon {
    min-width: 16px;
    min-height: 16px;
    background-repeat: no-repeat;
    background-size: contain;
}

i.icon {
    display: inline-block;
    margin-right: 5px;
}

.icon-table {
    min-width: 32px;
    min-height: 32px;
}

.icon-table-small {
    min-width: 25px;
    min-height: 25px;
}

.icon-alert {
    background-image: url('../images/icons/alert.svg');
}

.icon-alert-round-red {
    background-image: url('../images/icons/red/alert-round.svg');
}

.icon-home {
    background-image: url('../images/icons/home.svg');
}

.icon-home-blue, #nav-tabs .nav-link:hover i.icon-home, #nav-tabs .nav-link.active i.icon-home {
    background-image: url('../images/icons/blue/home.svg');
}

.icon-search {
    background-image: url('../images/icons/search.svg');
}

.icon-search-blue, #nav-tabs .nav-link:hover i.icon-search, #nav-tabs .nav-link.active i.icon-search {
    background-image: url('../images/icons/blue/search.svg');
}

.icon-view-list {
    background-image: url('../images/icons/view-list.svg');
}

.icon-view-list-blue, #nav-tabs .nav-link:hover i.icon-view-list, #nav-tabs .nav-link.active i.icon-view-list {
    background-image: url('../images/icons/blue/view-list.svg');
}

.icon-pin {
    background-image: url('../images/icons/pin.svg');
}

.icon-pin-blue, #nav-tabs .nav-link:hover i.icon-pin, #nav-tabs .nav-link.active i.icon-pin {
    background-image: url('../images/icons/blue/pin.svg');
}

.icon-pinned {
    background-image: url('../images/icons/pinned.svg');
}

.icon-pinned-blue {
    background-image: url('../images/icons/blue/pinned.svg');
}

.icon-pinned-red {
    background-image: url('../images/icons/red/pinned.svg');
}

.icon-pinned-green {
    background-image: url('../images/icons/green/pinned.svg');
}

.icon-link {
    background-image: url('../images/icons/link.svg');
}

.icon-edit {
    background-image: url('../images/icons/edit.svg');
}

.icon-edit-blue, #nav-tabs .nav-link:hover i.icon-edit, #nav-tabs .nav-link.active i.icon-edit {
    background-image: url('../images/icons/blue/edit.svg');
}

.icon-edit-white, .header-nav-link.active i.icon-edit-blue {
    background-image: url('../images/icons/white/edit.svg');
}

.icon-service-other {
    background-image: url('../images/icons/service-other.svg');
}

.icon-service-other-blue, #nav-tabs .nav-link:hover i.icon-service-other, #nav-tabs .nav-link.active i.icon-service-other {
    background-image: url('../images/icons/blue/service-other.svg');
}

.icon-help {
    background-image: url('../images/icons/help.svg');
}

.icon-help-blue, #nav-tabs .nav-link:hover i.icon-help, #nav-tabs .nav-link.active i.icon-help {
    background-image: url('../images/icons/blue/help.svg');
}

.icon-help-white, .header-nav-link.active i.icon-help-blue {
    background-image: url('../images/icons/white/help.svg');
}

.icon-more-vertical {
    background-image: url('../images/icons/more-vertical.svg');
}

.icon-more-vertical-blue, #nav-tabs .nav-link:hover i.icon-more-vertical, #nav-tabs .nav-link.active i.icon-more-vertical {
    background-image: url('../images/icons/blue/more-vertical.svg');
}

.icon-more-vertical-white, .header-nav-link.active i.icon-more-vertical-blue, .header-nav .header-nav-link.dropdown.show i.icon-more-vertical-blue {
    background-image: url('../images/icons/white/more-vertical.svg');
}

.icon-check-round {
    background-image: url('../images/icons/check-round.svg');
}

.icon-check-round-green {
    background-image: url('../images/icons/green/check-round.svg');
}

.icon-check-round-white {
    background-image: url('../images/icons/white/check-round.svg');
}

.icon-close {
    background-image: url('../images/icons/close.svg');
}

.icon-close-blue {
    background-image: url('../images/icons/blue/close.svg');
}

.icon-close-red {
    background-image: url('../images/icons/red/close.svg');
}

.icon-close-round {
    background-image: url('../images/icons/close-round.svg');
}

.icon-close-round-blue, .modal .modal-header .close:hover i {
    background-image: url('../images/icons/blue/close-round.svg');
}

.icon-close-round-red {
    background-image: url('../images/icons/red/close-round.svg');
}

.icon-arrow-right {
    background-image: url('../images/icons/arrow-right.svg');
}

.icon-arrow-right-white {
    background-image: url('../images/icons/white/arrow-right.svg');
}

.icon-arrow-right-blue {
    background-image: url('../images/icons/blue/arrow-right.svg');
}

.icon-arrow-down {
    background-image: url('../images/icons/arrow-down.svg');
}

.icon-arrow-down-blue {
    background-image: url('../images/icons/blue/arrow-down.svg');
}

.icon-arrow-up {
    background-image: url('../images/icons/arrow-up.svg');
}

.icon-arrow-up-blue, .faqs .faq .faq-header a[aria-expanded=true] i.icon {
    background-image: url('../images/icons/blue/arrow-up.svg');
}

.icon-upload {
    background-image: url('../images/icons/upload.svg');
}

.icon-upload-blue {
    background-image: url('../images/icons/blue/upload.svg');
}

.icon-new-window {
    background-image: url('../images/icons/new-window.svg');
}

.icon-new-window-blue {
    background-image: url('../images/icons/blue/new-window.svg');
}

.icon-new-window-white, .ol-full-screen.ol-control button {
    background-image: url('../images/icons/white/new-window.svg');
}

.icon-zoom-in {
    background-image: url('../images/icons/zoom-in.svg');
}

.icon-zoom-in-white, button.ol-zoom-in {
    background-image: url('../images/icons/white/zoom-in.svg');
}

.icon-zoom-out {
    background-image: url('../images/icons/zoom-out.svg');
}

.icon-zoom-out-white, button.ol-zoom-out {
    background-image: url('../images/icons/white/zoom-out.svg');
}

.icon-processes {
    background-image: url('../images/icons/processes.svg');
}

.icon-processes-blue {
    background-image: url('../images/icons/blue/processes.svg');
}

.icon-conversation {
    background-image: url('../images/icons/conversation.svg');
}

.icon-conversation-blue {
    background-image: url('../images/icons/blue/conversation.svg');
}

.icon-minus {
    background-image: url('../images/icons/minus.svg');
}

.icon-minus-blue {
    background-image: url('../images/icons/blue/minus.svg');
}

.icon-minus-white {
    background-image: url('../images/icons/white/minus.svg');
}

.icon-plus {
    background-image: url('../images/icons/plus.svg');
}

.icon-plus-blue {
    background-image: url('../images/icons/blue/plus.svg');
}

.icon-plus-white {
    background-image: url('../images/icons/white/plus.svg');
}

.icon-minus-round {
    background-image: url('../images/icons/minus-round.svg');
}

.icon-minus-round-blue {
    background-image: url('../images/icons/blue/minus-round.svg');
}

.icon-minus-round-white {
    background-image: url('../images/icons/white/minus-round.svg');
}

.icon-plus-round {
    background-image: url('../images/icons/plus-round.svg');
}

.icon-plus-round-blue {
    background-image: url('../images/icons/blue/plus-round.svg');
}

.icon-plus-round-white {
    background-image: url('../images/icons/white/plus-round.svg');
}

.icon-file {
    background-image: url('../images/icons/file.svg');
}

.icon-file-blue {
    background-image: url('../images/icons/blue/file.svg');
}

.icon-file-green {
    background-image: url('../images/icons/green/file.svg');
}

.icon-file-close {
    background-image: url('../images/icons/file-close.svg');
}

.icon-file-close-blue {
    background-image: url('../images/icons/blue/file-close.svg');
}

.icon-file-close-red {
    background-image: url('../images/icons/red/file-close.svg');
}

.icon-file-csv {
    background-image: url('../images/icons/file-csv.svg');
}

.icon-file-doc {
    background-image: url('../images/icons/file-doc.svg');
}

.icon-file-docx {
    background-image: url('../images/icons/file-doc.svg');
}

.icon-file-rtf {
    background-image: url('../images/icons/file-doc.svg');
}

.icon-file-odt {
    background-image: url('../images/icons/file-doc.svg');
}

.icon-file-gif {
    background-image: url('../images/icons/file-gif.svg');
}

.icon-file-jpg {
    background-image: url('../images/icons/file-jpg.svg');
}

.icon-file-jpeg {
    background-image: url('../images/icons/file-jpg.svg');
}

.icon-file-pdf {
    background-image: url('../images/icons/file-pdf.svg');
}

.icon-file-ppt {
    background-image: url('../images/icons/file-ppt.svg');
}

.icon-file-odp {
    background-image: url('../images/icons/file-ppt.svg');
}

.icon-file-xls {
    background-image: url('../images/icons/file-xls.svg');
}

.icon-file-xlsx {
    background-image: url('../images/icons/file-xls.svg');
}

.icon-file-ods {
    background-image: url('../images/icons/file-xls.svg');
}

.icon-file-txt {
    background-image: url('../images/icons/file-txt.svg');
}

.icon-file-report {
    background-image: url('../images/icons/file-report.svg');
}